Summary:	Library for reading PhotoCD images
Summary(pl.UTF-8):	Biblioteka do odczytu plików PhotoCD
Name:		libpcd
Version:	1.0.1
Release:	4
Epoch:		1
License:	GPL
Group:		Libraries
Source0:	http://bytesex.org/misc/%{name}_%{version}.tar.gz
# Source0-md5:	c9127a6aae3c7510498990d82bb0b68a
URL:		http://bytesex.org/libpcd.html
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library for reading PhotoCD images.

%description -l pl.UTF-8
Biblioteka do odczytu plików PhotoCD.

%package devel
Summary:	libpcd header file
Summary(pl.UTF-8):	Plik nagłówkowy libpcd
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
libpcd header file.

%description devel -l pl.UTF-8
Plik nagłówkowy biblioteki libpcd.

%package static
Summary:	libpcd static library
Summary(pl.UTF-8):	Biblioteka statyczna libpcd
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static version of libpcd.

%description static -l pl.UTF-8
Statyczna wersja biblioteki libpcd.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	libdir=%{_libdir} \
	CFLAGS="%{rpmcflags} \$(WARN)"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=$RPM_BUILD_ROOT%{_libdir} \
	prefix=%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/libpcd.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpcd.so.2

%files devel
%defattr(644,root,root,755)
%doc pcd.css pcd.html
%attr(755,root,root) %{_libdir}/libpcd.so
%{_includedir}/pcd.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libpcd.a
%changelog
* Fri Jan 24 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libpcd.git;a=log;h=master

* Wed Jan 15 2014 Witold Filipczyk <witekfl@poczta.onet.pl> d73746d
- ghost soname symlink

* Tue Dec 25 2007 Elan Ruusamäe <glen@pld-linux.org> e80af24
- rel 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6e556d6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1edc536
- converted to UTF-8

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> 721e031
- avoid defining default %attr

* Thu Jan 08 2004 Jacek Konieczny <jajcus@pld-linux.org> ff66a73
- Release: 2
- AMD64 fixes

* Tue Sep 30 2003 Jakub Bogusz <qboosh@pld-linux.org> 03ee615
- use name macro in subpackage deps

* Thu Sep 25 2003 djurban <djurban@pld-linux.org> f264b34
- fix reqs

* Thu Jul 24 2003 Adam Gołębiowski <adamg@pld-linux.org> 8dab28e
- updated to 1.0.1

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 2d95039
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> a2b5294
- massive attack s/pld.org.pl/pld-linux.org/

* Fri May 09 2003 Jakub Bogusz <qboosh@pld-linux.org> 64f5fe4
- new - now separate from xpcd

